CUT(1)

NAZWA
cut - usuwa sekcje z każdego wiersza plików

SKŁADNIA
cut [OPCJA]... [PLIK]...

OPIS

Wypisuje wybrane części wierszy z każdego PLIKU na standardowe wyjście.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-b, --bytes=LISTA
    wypisuje tylko bajty określone w LIŚCIE

-c, --characters=LISTA
    wypisuje tylko znaki określone w LIŚCIE

-d, --delimiter=OGRANICZNIK
    używa jako separatora pól znaku OGRANICZNIK zamiast tabulacji

-f, --fields=LISTA
    wypisuje tylko podane pola oraz wszystkie wiersze, które nie zawierają znaku separatora, chyba że podano opcję -s

-n  (ignorowane)

--complement
    dopełnienie zestawu wybranych bajtów, znaków lub pól

-s, --only-delimited
    nie wypisuje wierszy nie zawierających separatora

--output-delimiter=ŁAŃCUCH
    używa ŁAŃCUCHA jako separatora danych wyjściowych; domyślnie używany jest w tej roli separator danych wejściowych

-z, --zero-terminated
    kończy wiersze bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Należy użyć jednej i tylko jednej spośród opcji -b, -c lub -f. Każda LISTA składa się z jednego zakresu lub z kilku zakresów oddzielonych przecinkami. Wybrane wejście jest zapisywane w tej samej kolejności jak jest odczytywane i jest zapisywane dokładnie raz. Każdy zakres składa się z jednego z podanych wyrażeń:

N   N-ty bajt, znak lub pole, liczone od 1

N-  od N-tego bajtu, znaku lub pola do końca wiersza

N-M od N-tego do M-tego (włącznie) bajtu, znaku lub pola

-M  od pierwszego do M-tego (włącznie) bajtu, znaku lub pola

AUTOR
Napisane przez Davida M. Ihnata, Davida MacKezie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2024 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/cut>
lub lokalnie, za pomocą info '(coreutils) cut invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.